Subject: [Pce] SR-MPLS-TP: Question on draft-xiong-pce-pcep-extension-sr-tp

From: Loa Andersson <[email-masked]>
Date: Tue, 9 Apr 2019 14:52:51 +0200

Authors, Working Group,

MPLS-TP is defined as a network that:

   "It MUST be possible to operate and configure the MPLS-TP data
    plane without any IP forwarding capability in the MPLS-TP data
    plane. (RFC 5654, section 2.3, requirement 36.)"

    ...

  "It MUST be possible to provide protection for the MPLS-TP data
   plane without any IP forwarding capability in the MPLS-TP data
   plane. (RFC 5654, section 2.5.1.1, requirement 63.)"

In fact most MPLS-TP networks are deployed without IP in the data
plane.

SR-MPLS on the other hand is a technology that is defined to USE
IGPs to distribute MPLS-labels, and thus requires IP in the data
plane.

PCEP also runs over TCP/IP.

The draft does not discuss this. I think this is needed, do you
have plans to do so?

/Loa
-- 

Loa Andersson                        email: [email-masked]
Senior MPLS Expert
Bronze Dragon Consulting             phone: +46 739 81 21 64

---

From: <[email-masked]>
Date: Wed, 10 Apr 2019 15:47:21 +0800 (CST)

Hi Loa,

Thanks for your review and inspired comment! It is very important and much appreciated.

Refer to your question, we proposed the terminology of the "SR-MPLS-TP" in the following use case draft.

https://datatracker.ietf.org/doc/draft-hu-mpls-sr-inter-domain-use-cases/ 

We plan to work on the definition and scope of SR-MPLS-TP and start discussion in MPLS and SPRING working group next week.

Welcome to review and discuss about that draft and provide suggestions for SR-MPLS-TP!

Best Regards,

Quan

原始邮件

发件人：LoaAndersson <[email-masked]>
收件人：[email-masked] <[email-masked]>;[email-masked] <[email-masked]>;
日 期 ：2019年04月10日 03:55
主 题 ：SR-MPLS-TP: Question on draft-xiong-pce-pcep-extension-sr-tp

Authors, Working Group,

    ...

/Loa
--

---

From: Loa Andersson <[email-masked]>
Date: Wed, 10 Apr 2019 12:26:35 +0200

Quan,

I think you are right that this discussion will be of interest
for the SPRING and MPLS working group.

I have copied the working group mailing lists.

On 2019-04-10 09:47, [email-masked] wrote:
> <https://datatracker.ietf.org/doc/draft-hu-mpls-sr-inter-domain-use-cases/>https://datatracker.ietf.org/doc/draft-hu-mpls-sr-inter-domain-use-cases/ 
> 
> 
> 
> We plan to work on the definition and scope of SR-MPLS-TP and start 
> discussion in MPLS and SPRING working group next week.
> 
> *发件人：*LoaAndersson <[email-masked]>
> *收件人：[email-masked] 
> <[email-masked]>;[email-masked] 
> <[email-masked]>;
> *日 期 ：*2019年04月10日 03:55
> *主 题 ：**SR-MPLS-TP: Question on draft-xiong-pce-pcep-extension-sr-tp*
> Authors, Working Group,
> 

--